## patat 0.4.7.1

=== Makefile ===
# The minor version is passed to the build.  This is used to do some CPP to
# solve incompatibilities.
PANDOC_MINOR_VERSION=$(shell ghc-pkg latest pandoc | sed 's/.*-//' | cut -d. -f2)

# We use `?=` to set SOURCE_DATE_EPOCH only if it is not present.  Unfortunately
# we can't use `git --date=unix` since only very recent git versions support
# that, so we need to make a round trip through `date`.
SOURCE_DATE_EPOCH?=$(shell date '+%s' \
					   --date="$(shell git log -1 --format=%cd --date=rfc)")

# Prettify the date.
SOURCE_DATE=$(shell env LC_ALL=C date '+%B %d, %Y' -d "@${SOURCE_DATE_EPOCH}")

extra/patat.1: README.md extra/make-man
	SOURCE_DATE="$(SOURCE_DATE)" ./extra/make-man >$@

extra/make-man: extra/make-man.hs
	ghc -DPANDOC_MINOR_VERSION=${PANDOC_MINOR_VERSION} -Wall -o $@ $<

man: extra/patat.1

# Also check if we can generate the manual.
test: man
	bash test.sh

clean:
	rm -f extra/patat.1
	rm -f extra/make-man

.PHONY: man test clean

=== debian/changelog ===
patat (0.4.7.1-1) unstable; urgency=medium

  * New upstream version 0.4.7.1

 -- Félix Sipma <felix+debian@gueux.org>  Mon, 23 Jan 2017 15:20:49 +0100

patat (0.4.7.0-1) unstable; urgency=medium

  * New upstream version 0.4.7.0
  * update dependencies

 -- Félix Sipma <felix+debian@gueux.org>  Fri, 20 Jan 2017 14:39:17 +0100

patat (0.4.6.0-1) unstable; urgency=medium

  * New upstream version 0.4.6.0

 -- Félix Sipma <felix+debian@gueux.org>  Tue, 03 Jan 2017 16:13:46 +0100

patat (0.4.5.0-1) unstable; urgency=medium

  * New upstream version 0.4.5.0
  * remove patch applied upstream

 -- Félix Sipma <felix+debian@gueux.org>  Mon, 12 Dec 2016 19:57:37 +0100

patat (0.4.4.0-2) unstable; urgency=medium

  * make build reproducible. Thanks, Daniel Shahaf (Closes: #846832)

 -- Félix Sipma <felix+debian@gueux.org>  Mon, 05 Dec 2016 09:22:37 +0100

patat (0.4.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.4.0
  * remove patch applied upstream

 -- Félix Sipma <felix+debian@gueux.org>  Fri, 02 Dec 2016 15:39:02 +0100

patat (0.4.3.0-1) unstable; urgency=medium

  * New upstream version 0.4.2.0
  * generate and use upstream manpage
  * update debian patch to debianize README.md
  * add git as build dependency (needed for reproducible builds)
  * remove pandoc as build dependency
  * New upstream version 0.4.3.0
  * remove git as build dependency
  * use $(MAKE) instead of make in debian/rules
  * add pandoc-data to build-depends
  * use utf8 in extra/make-man.hs

 -- Félix Sipma <felix+debian@gueux.org>  Fri, 02 Dec 2016 14:11:58 +0100

patat (0.4.0.0-1) unstable; urgency=medium

  * New upstream version 0.4.0.0
  * rebase Debian patch

 -- Félix Sipma <felix+debian@gueux.org>  Tue, 15 Nov 2016 15:27:42 +0100

patat (0.3.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #840738)

 -- Félix Sipma <felix+debian@gueux.org>  Mon, 31 Oct 2016 13:28:53 +0100

=== debian/control ===
Source: patat
Maintainer: Félix Sipma <felix+debian@gueux.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 10),
 ghc,
 libghc-aeson-dev (>= 0.9),
 libghc-aeson-dev (<< 1.2),
 libghc-ansi-terminal-dev (>= 0.6),
 libghc-ansi-terminal-dev (<< 0.7),
 libghc-ansi-wl-pprint-dev (>= 0.6),
 libghc-ansi-wl-pprint-dev (<< 0.7),
 libghc-highlighting-kate-dev (>= 0.6),
 libghc-highlighting-kate-dev (<< 0.7),
 libghc-mtl-dev (>= 2.2),
 libghc-mtl-dev (<< 2.3),
 libghc-optparse-applicative-dev (>= 0.12),
 libghc-optparse-applicative-dev (<< 0.14),
 libghc-pandoc-dev (>= 1.16),
 libghc-pandoc-dev (<< 1.20),
 libghc-terminal-size-dev (>= 0.3),
 libghc-terminal-size-dev (<< 0.4),
 libghc-text-dev (>= 1.2),
 libghc-text-dev (<< 1.3),
 libghc-unordered-containers-dev (>= 0.2),
 libghc-unordered-containers-dev (<< 0.3),
 libghc-yaml-dev (>= 0.7),
 libghc-yaml-dev (<< 0.9),
 pandoc-data
Standards-Version: 3.9.8
Homepage: http://github.com/jaspervdj/patat
Vcs-Git: https://git.gueux.org/patat.git
Vcs-Browser: https://git.gueux.org/?p=patat.git;a=summary

Package: patat
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${haskell:Depends}, ${misc:Depends}
Description: Terminal-based presentations using Pandoc
 patat (*P*resentations *A*top *T*he *A*NSI *T*erminal) is a small tool that
 allows you to show presentations using only an ANSI terminal.  It does not
 require `ncurses`.

=== debian/rules ===
#!/usr/bin/make -f

# these rules originally written by Joey Hess for hothasktags package

%:
	dh $@

override_dh_auto_configure:
	ghc --make Setup
	./Setup configure

override_dh_auto_build:
	$(MAKE) man
	./Setup build

override_dh_auto_clean:
	if [ -x Setup ]; then ./Setup clean; fi
	rm -f Setup Setup.o Setup.hi extra/patat.1

override_dh_auto_test:
	PATH="$(PATH):dist/build/patat/" bash test.sh

override_dh_strip:
	# GHC cannot produce debugging symbols so the -dbgsym package
	# ends up empty, so disable generating it
	dh_strip --no-automatic-dbgsym

## patat 0.5.0.0

=== debian/changelog ===
patat (0.5.0.0-1) experimental; urgency=medium

  * New upstream version 0.5.0.0

 -- Félix Sipma <felix+debian@gueux.org>  Mon, 06 Feb 2017 17:02:08 +0100

## patat 0.5.2.2

=== Makefile ===
--- 
+++ 
@@ -9,13 +9,18 @@
 					   --date="$(shell git log -1 --format=%cd --date=rfc)")
 
 # Prettify the date.
-SOURCE_DATE=$(shell env LC_ALL=C date '+%B %d, %Y' -d "@${SOURCE_DATE_EPOCH}")
+SOURCE_DATE=$(shell env LC_ALL=C date --utc '+%B %d, %Y' -d "@${SOURCE_DATE_EPOCH}")
 
 extra/patat.1: README.md extra/make-man
 	SOURCE_DATE="$(SOURCE_DATE)" ./extra/make-man >$@
 
 extra/make-man: extra/make-man.hs
 	ghc -DPANDOC_MINOR_VERSION=${PANDOC_MINOR_VERSION} -Wall -o $@ $<
+
+extra/patat.bash-completion:
+	patat --bash-completion-script patat >$@
+
+completion: extra/patat.bash-completion
 
 man: extra/patat.1
 
@@ -26,5 +31,6 @@
 clean:
 	rm -f extra/patat.1
 	rm -f extra/make-man
+	rm -f extra/patat.bash-completion
 
-.PHONY: man test clean
+.PHONY: man completion test clean

=== debian/changelog ===
patat (0.5.2.2-2) unstable; urgency=medium

  * bump Standards-Compat to 4.1.3
    - use priority "optional", instead of "extra"
  * bump compat to 11 (no change required)
  * move packaging repo to salsa

 -- Félix Sipma <felix+debian@gueux.org>  Wed, 07 Mar 2018 11:36:37 +0100

patat (0.5.2.2-1) unstable; urgency=medium

  * New upstream version 0.5.2.2
  * update dependencies
  * use https for the copyright-format URL
  * use https for the Homepage URL
  * bump Standard-Version to 4.0.0

 -- Félix Sipma <felix+debian@gueux.org>  Wed, 26 Jul 2017 10:37:11 +0200

patat (0.5.1.2-1) experimental; urgency=medium

  * New upstream version 0.5.1.2

 -- Félix Sipma <felix+debian@gueux.org>  Wed, 26 Apr 2017 14:16:27 +0200

patat (0.5.1.1-1) experimental; urgency=medium

  * New upstream version 0.5.1.1
  * add bash-completion
  * update dependencies

 -- Félix Sipma <felix+debian@gueux.org>  Mon, 24 Apr 2017 12:17:18 +0200

=== debian/control ===
Source: patat
Maintainer: Félix Sipma <felix+debian@gueux.org>
Priority: optional
Section: haskell
Build-Depends: debhelper (>= 11),
 ghc,
 libghc-aeson-dev (>= 0.9),
 libghc-aeson-dev (<< 1.3),
 libghc-ansi-terminal-dev (>= 0.6),
 libghc-ansi-terminal-dev (<< 0.7),
 libghc-ansi-wl-pprint-dev (>= 0.6),
 libghc-ansi-wl-pprint-dev (<< 0.7),
 libghc-mtl-dev (>= 2.2),
 libghc-mtl-dev (<< 2.3),
 libghc-optparse-applicative-dev (>= 0.12),
 libghc-optparse-applicative-dev (<< 0.15),
 libghc-pandoc-dev (>= 1.16),
 libghc-pandoc-dev (<< 1.20),
 libghc-skylighting-dev (>= 0.1),
 libghc-skylighting-dev (<< 0.4),
 libghc-terminal-size-dev (>= 0.3),
 libghc-terminal-size-dev (<< 0.4),
 libghc-text-dev (>= 1.2),
 libghc-text-dev (<< 1.3),
 libghc-unordered-containers-dev (>= 0.2),
 libghc-unordered-containers-dev (<< 0.3),
 libghc-yaml-dev (>= 0.7),
 libghc-yaml-dev (<< 0.9),
 pandoc-data
Standards-Version: 4.1.3
Homepage: https://github.com/jaspervdj/patat
Vcs-Git: https://salsa.debian.org/felix-guest/patat.git
Vcs-Browser: https://salsa.debian.org/felix-guest/patat

Package: patat
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${haskell:Depends}, ${misc:Depends}
Description: Terminal-based presentations using Pandoc
 patat (*P*resentations *A*top *T*he *A*NSI *T*erminal) is a small tool that
 allows you to show presentations using only an ANSI terminal.  It does not
 require `ncurses`.

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,14 @@
 override_dh_auto_build:
 	$(MAKE) man
 	./Setup build
+	PATH="$(PATH):dist/build/patat/" $(MAKE) completion
+	mkdir -p bash-completion/completions
+	cp extra/patat.bash-completion bash-completion/completions/patat
 
 override_dh_auto_clean:
+	$(MAKE) clean
 	if [ -x Setup ]; then ./Setup clean; fi
-	rm -f Setup Setup.o Setup.hi extra/patat.1
+	rm -f Setup Setup.o Setup.hi
 
 override_dh_auto_test:
 	PATH="$(PATH):dist/build/patat/" bash test.sh

## patat 0.7.2.0

=== debian/changelog ===
patat (0.7.2.0-1) unstable; urgency=medium

  * New upstream version 0.7.2.0

 -- Félix Sipma <felix+debian@gueux.org>  Sat, 09 Jun 2018 09:27:51 +0200

patat (0.6.1.2-1) unstable; urgency=medium

  * New upstream version 0.6.1.2
  * bump dependencies
  * remove patch to debianize README.md
  * update rules: fix manpage building & tests running
  * bump Standards-Version to 4.1.4 (no change required)

 -- Félix Sipma <felix+debian@gueux.org>  Mon, 30 Apr 2018 14:49:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Build-Depends: debhelper (>= 11),
  ghc,
  libghc-aeson-dev (>= 0.9),
- libghc-aeson-dev (<< 1.3),
+ libghc-aeson-dev (<< 1.4),
  libghc-ansi-terminal-dev (>= 0.6),
- libghc-ansi-terminal-dev (<< 0.7),
+ libghc-ansi-terminal-dev (<< 0.9),
  libghc-ansi-wl-pprint-dev (>= 0.6),
  libghc-ansi-wl-pprint-dev (<< 0.7),
  libghc-mtl-dev (>= 2.2),
  libghc-mtl-dev (<< 2.3),
  libghc-optparse-applicative-dev (>= 0.12),
  libghc-optparse-applicative-dev (<< 0.15),
- libghc-pandoc-dev (>= 1.16),
- libghc-pandoc-dev (<< 1.20),
+ libghc-pandoc-dev (>= 2.0.4),
+ libghc-pandoc-dev (<< 2.3),
  libghc-skylighting-dev (>= 0.1),
- libghc-skylighting-dev (<< 0.4),
+ libghc-skylighting-dev (<< 0.8),
  libghc-terminal-size-dev (>= 0.3),
  libghc-terminal-size-dev (<< 0.4),
  libghc-text-dev (>= 1.2),
@@ -27,7 +27,7 @@
  libghc-yaml-dev (>= 0.7),
  libghc-yaml-dev (<< 0.9),
  pandoc-data
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/jaspervdj/patat
 Vcs-Git: https://salsa.debian.org/felix-guest/patat.git
 Vcs-Browser: https://salsa.debian.org/felix-guest/patat

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 
 # these rules originally written by Joey Hess for hothasktags package
+
+
+# Fix exception thrown running tests:
+# patat: <stdout>: commitBuffer: invalid argument (invalid character)
+export LANG=C.UTF-8
+export LC_ALL=C.UTF-8
 
 %:
 	dh $@
@@ -10,8 +16,10 @@
 	./Setup configure
 
 override_dh_auto_build:
-	$(MAKE) man
+	mkdir -p dist/build/patat
+	ghc extra/make-man.hs -o dist/build/patat/patat-make-man
 	./Setup build
+	PATH="$(PATH):dist/build/patat/" $(MAKE) man
 	PATH="$(PATH):dist/build/patat/" $(MAKE) completion
 	mkdir -p bash-completion/completions
 	cp extra/patat.bash-completion bash-completion/completions/patat

## patat 0.8.2.1

=== Makefile ===
# We use `?=` to set SOURCE_DATE_EPOCH only if it is not present.  Unfortunately
# we can't use `git --date=unix` since only very recent git versions support
# that, so we need to make a round trip through `date`.
SOURCE_DATE_EPOCH?=$(shell date '+%s' \
					   --date="$(shell git log -1 --format=%cd --date=rfc)")

extra/patat.1: README.md
	SOURCE_DATE_EPOCH="$(SOURCE_DATE_EPOCH)" patat-make-man >$@

extra/patat.bash-completion:
	patat --bash-completion-script patat >$@

completion: extra/patat.bash-completion

man: extra/patat.1

# Also check if we can generate the manual.
test: man
	bash test.sh

clean:
	rm -f extra/patat.1
	rm -f extra/make-man
	rm -f extra/patat.bash-completion

.PHONY: man completion test clean

=== debian/changelog ===
patat (0.8.2.1-1) unstable; urgency=medium

  * New upstream version 0.8.2.1
  * update dependencies constraints

 -- Félix Sipma <felix+debian@gueux.org>  Mon, 04 Feb 2019 11:06:20 +0100

patat (0.8.2.0-1) unstable; urgency=medium

  * New upstream version 0.8.2.0
  * update dependencies constraints
  * bump Standards-Version to 4.3.0 (no change required)

 -- Félix Sipma <felix+debian@gueux.org>  Fri, 01 Feb 2019 22:48:33 +0100

patat (0.8.1.2-1) unstable; urgency=medium

  * New upstream version 0.8.1.2

 -- Félix Sipma <felix+debian@gueux.org>  Mon, 29 Oct 2018 12:37:39 +0100

patat (0.8.0.0-1) unstable; urgency=medium

  * New upstream version 0.8.0.0
  * update dependencies' version bounds
  * add new dependencies: libghc-base64-bytestring-dev & libghc-colour-dev
  * bump Standards-Version to 4.2.1 (no change required)
  * fix lintian warning override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS

 -- Félix Sipma <felix+debian@gueux.org>  Sun, 02 Sep 2018 18:46:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,29 +5,33 @@
 Build-Depends: debhelper (>= 11),
  ghc,
  libghc-aeson-dev (>= 0.9),
- libghc-aeson-dev (<< 1.4),
+ libghc-aeson-dev (<< 1.5),
  libghc-ansi-terminal-dev (>= 0.6),
- libghc-ansi-terminal-dev (<< 0.9),
+ libghc-ansi-terminal-dev (<< 0.10),
  libghc-ansi-wl-pprint-dev (>= 0.6),
  libghc-ansi-wl-pprint-dev (<< 0.7),
+ libghc-base64-bytestring-dev (>= 1.0),
+ libghc-base64-bytestring-dev (<< 1.1),
  libghc-mtl-dev (>= 2.2),
  libghc-mtl-dev (<< 2.3),
  libghc-optparse-applicative-dev (>= 0.12),
  libghc-optparse-applicative-dev (<< 0.15),
  libghc-pandoc-dev (>= 2.0.4),
- libghc-pandoc-dev (<< 2.3),
+ libghc-pandoc-dev (<< 2.7),
  libghc-skylighting-dev (>= 0.1),
  libghc-skylighting-dev (<< 0.8),
  libghc-terminal-size-dev (>= 0.3),
  libghc-terminal-size-dev (<< 0.4),
  libghc-text-dev (>= 1.2),
  libghc-text-dev (<< 1.3),
+ libghc-colour-dev (>= 2.3),
+ libghc-colour-dev (<< 2.4),
  libghc-unordered-containers-dev (>= 0.2),
  libghc-unordered-containers-dev (<< 0.3),
  libghc-yaml-dev (>= 0.7),
- libghc-yaml-dev (<< 0.9),
+ libghc-yaml-dev (<< 0.12),
  pandoc-data
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/jaspervdj/patat
 Vcs-Git: https://salsa.debian.org/felix-guest/patat.git
 Vcs-Browser: https://salsa.debian.org/felix-guest/patat

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,9 @@
 	rm -f Setup Setup.o Setup.hi
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	PATH="$(PATH):dist/build/patat/" bash test.sh
+endif
 
 override_dh_strip:
 	# GHC cannot produce debugging symbols so the -dbgsym package

## patat 0.8.3.0

=== debian/changelog ===
patat (0.8.3.0-1) unstable; urgency=medium

  * New upstream release.
  * update dependencies constraints

 -- Félix Sipma <felix+debian@gueux.org>  Sun, 08 Sep 2019 19:24:38 +0200

patat (0.8.2.5-1) unstable; urgency=medium

  * New upstream version 0.8.2.5
  * update dependencies constraints
  * bump Standards-Version to 4.4.0 (no change required)
  * use debhelper-compat instead of compat file

 -- Félix Sipma <felix+debian@gueux.org>  Sun, 18 Aug 2019 09:15:56 +0200

patat (0.8.2.2-1) unstable; urgency=medium

  * New upstream version 0.8.2.2

 -- Félix Sipma <felix+debian@gueux.org>  Sat, 02 Mar 2019 17:59:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Félix Sipma <felix+debian@gueux.org>
 Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
  ghc,
  libghc-aeson-dev (>= 0.9),
  libghc-aeson-dev (<< 1.5),
@@ -12,26 +12,26 @@
  libghc-ansi-wl-pprint-dev (<< 0.7),
  libghc-base64-bytestring-dev (>= 1.0),
  libghc-base64-bytestring-dev (<< 1.1),
+ libghc-colour-dev (>= 2.3),
+ libghc-colour-dev (<< 2.4),
  libghc-mtl-dev (>= 2.2),
  libghc-mtl-dev (<< 2.3),
  libghc-optparse-applicative-dev (>= 0.12),
- libghc-optparse-applicative-dev (<< 0.15),
+ libghc-optparse-applicative-dev (<< 0.16),
  libghc-pandoc-dev (>= 2.0.4),
- libghc-pandoc-dev (<< 2.7),
+ libghc-pandoc-dev (<< 2.8),
  libghc-skylighting-dev (>= 0.1),
- libghc-skylighting-dev (<< 0.8),
+ libghc-skylighting-dev (<< 0.9),
  libghc-terminal-size-dev (>= 0.3),
  libghc-terminal-size-dev (<< 0.4),
  libghc-text-dev (>= 1.2),
  libghc-text-dev (<< 1.3),
- libghc-colour-dev (>= 2.3),
- libghc-colour-dev (<< 2.4),
  libghc-unordered-containers-dev (>= 0.2),
  libghc-unordered-containers-dev (<< 0.3),
- libghc-yaml-dev (>= 0.7),
+ libghc-yaml-dev (>= 0.8),
  libghc-yaml-dev (<< 0.12),
  pandoc-data
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/jaspervdj/patat
 Vcs-Git: https://salsa.debian.org/felix-guest/patat.git
 Vcs-Browser: https://salsa.debian.org/felix-guest/patat

## patat 0.8.4.0

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 # Also check if we can generate the manual.
 test: man
-	bash test.sh
+	bash tests/golden.sh
 
 clean:
 	rm -f extra/patat.1

=== debian/changelog ===
patat (0.8.4.0-1build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:15:24 +0000

patat (0.8.4.0-1build1) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 09:05:16 +0000

patat (0.8.4.0-1) unstable; urgency=medium

  * New upstream version 0.8.4.0
  * bump Standards-Version to 4.4.1 (no change required)
  * fix tests run

 -- Félix Sipma <felix+debian@gueux.org>  Fri, 25 Oct 2019 00:29:42 +0200

=== debian/control ===
--- 
+++ 
@@ -30,8 +30,16 @@
  libghc-unordered-containers-dev (<< 0.3),
  libghc-yaml-dev (>= 0.8),
  libghc-yaml-dev (<< 0.12),
+ libghc-tasty-dev (>= 1.2),
+ libghc-tasty-dev (<< 1.3),
+ libghc-tasty-hunit-dev (>= 0.10),
+ libghc-tasty-hunit-dev (<< 0.11),
+ libghc-tasty-quickcheck-dev (>= 0.10),
+ libghc-tasty-quickcheck-dev (<< 0.11),
+ libghc-quickcheck2-dev (>= 2.8),
+ libghc-quickcheck2-dev (<< 2.14),
  pandoc-data
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/jaspervdj/patat
 Vcs-Git: https://salsa.debian.org/felix-guest/patat.git
 Vcs-Browser: https://salsa.debian.org/felix-guest/patat

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	PATH="$(PATH):dist/build/patat/" bash test.sh
+	PATH="$(PATH):dist/build/patat/" bash tests/golden.sh
 endif
 
 override_dh_strip:

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/patat-$1\.tar\.gz/ \
  https://github.com/jaspervdj/patat/tags .*/v?(\d\S*)\.tar\.gz

## patat 0.8.6.1

=== Makefile ===
ARCH=$(shell uname -m)
UNAME=$(shell uname | tr 'A-Z' 'a-z')

PATAT_BINARY=$(HOME)/.local/bin/patat
PATAT_TAG?=v$(shell sed -n 's/^Version: *//p' *.cabal)
PATAT_PACKAGE=patat-$(PATAT_TAG)-$(UNAME)-$(ARCH)

UPX_VERSION=3.94
UPX_NAME=upx-$(UPX_VERSION)-amd64_$(UNAME)
UPX_BINARY=$(HOME)/.local/bin/upx

ifeq ($(UNAME), darwin)
ARCHIVE=zip
ARCHIVE_CREATE=zip -r
ARCHIVE_EXTRACT=unzip
else
ARCHIVE=tar.gz
ARCHIVE_CREATE=tar czf
ARCHIVE_EXTRACT=tar xvzf
endif

ifeq ($(UNAME), darwin)
# We use `?=` to set SOURCE_DATE_EPOCH only if it is not present.  Unfortunately
# we can't use `git --date=unix` since only very recent git versions support
# that, so we need to make a round trip through `date`.
SOURCE_DATE_EPOCH?=$(shell git log -1 --format=%cd --date=unix)
else
SOURCE_DATE_EPOCH?=$(shell date '+%s' \
                       --date="$(shell git log -1 --format=%cd --date=rfc)")
endif

ifeq ($(UNAME), darwin)
COMPRESS_BIN_DEPS=
COMPRESS_BIN=ls
else
COMPRESS_BIN_DEPS=$(UPX_BINARY)
COMPRESS_BIN=upx
endif

STACK=stack --system-ghc

# Default target.
.PHONY: build
build: $(PATAT_BINARY)

# When we want to do a release.
.PHONY: artifact
artifact: $(PATAT_PACKAGE).$(ARCHIVE)
	mkdir -p artifacts
	cp $(PATAT_PACKAGE).$(ARCHIVE) artifacts/

$(PATAT_PACKAGE).$(ARCHIVE): $(PATAT_BINARY) extra/patat.1 $(COMPRESS_BIN_DEPS)
	mkdir -p $(PATAT_PACKAGE)
	cp $(PATAT_BINARY) $(PATAT_PACKAGE)/
	$(COMPRESS_BIN) $(PATAT_PACKAGE)/patat
	cp README.md $(PATAT_PACKAGE)/
	cp CHANGELOG.md $(PATAT_PACKAGE)/
	cp LICENSE $(PATAT_PACKAGE)/
	cp extra/patat.1 $(PATAT_PACKAGE)/
	$(ARCHIVE_CREATE) $(PATAT_PACKAGE).$(ARCHIVE) $(PATAT_PACKAGE)

$(PATAT_BINARY):
	$(STACK) build --copy-bins

# UPX is used to compress the resulting binary.  We currently don't use this on
# Mac OS.
$(UPX_BINARY):
	curl -Lo /tmp/$(UPX_NAME).tar.xz \
	    https://github.com/upx/upx/releases/download/v$(UPX_VERSION)/$(UPX_NAME).tar.xz
	cd /tmp && tar xf $(UPX_NAME).tar.xz
	mv /tmp/$(UPX_NAME)/upx $(UPX_BINARY)
	upx --version

# Man page.
extra/patat.1: README.md $(PATAT_BINARY)
	SOURCE_DATE_EPOCH="$(SOURCE_DATE_EPOCH)" patat-make-man >$@

# Bash completion.
extra/patat.bash-completion:
	patat --bash-completion-script patat >$@

.PHONY: completion
completion: extra/patat.bash-completion

.PHONY: man
man: extra/patat.1

# Also check if we can generate the manual.
.PHONY: test
test: man
	$(STACK) install goldplate
	goldplate --pretty-diff tests

.PHONY: clean
clean:
	rm -f extra/patat.1
	rm -f extra/make-man
	rm -f extra/patat.bash-completion

=== debian/changelog ===
patat (0.8.6.1-1build3) jammy; urgency=medium

  * No-change rebuild against libcmark-gfm0.29.0.gfm.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2022 00:05:34 +0000

patat (0.8.6.1-1build2) jammy; urgency=medium

  * No-change rebuild against libcmark-gfm0.29.0.gfm.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Feb 2022 23:20:35 +0000

patat (0.8.6.1-1build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 07:02:17 +0200

patat (0.8.6.1-1) unstable; urgency=medium

  * New upstream version 0.8.6.1 (Closes: #966831)
  * update Build-Depends
  * add patch to prevent building with stack when building the manpage
  * bump Standards-Version to 4.5.0 (no change required)
  * remove "-guest" suffix from Vcs-Git and Vcs-Browser
  * disable tests for now (goldplate not packaged yet)

 -- Félix Sipma <felix+debian@gueux.org>  Sun, 20 Sep 2020 18:07:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: patat
-Maintainer: Félix Sipma <felix+debian@gueux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Félix Sipma <felix+debian@gueux.org>
 Priority: optional
 Section: haskell
 Build-Depends: debhelper-compat (= 12),
@@ -7,9 +8,11 @@
  libghc-aeson-dev (>= 0.9),
  libghc-aeson-dev (<< 1.5),
  libghc-ansi-terminal-dev (>= 0.6),
- libghc-ansi-terminal-dev (<< 0.10),
+ libghc-ansi-terminal-dev (<< 0.11),
  libghc-ansi-wl-pprint-dev (>= 0.6),
  libghc-ansi-wl-pprint-dev (<< 0.7),
+ libghc-async-dev (>= 2.2),
+ libghc-async-dev (<< 2.3),
  libghc-base64-bytestring-dev (>= 1.0),
  libghc-base64-bytestring-dev (<< 1.1),
  libghc-colour-dev (>= 2.3),
@@ -18,8 +21,10 @@
  libghc-mtl-dev (<< 2.3),
  libghc-optparse-applicative-dev (>= 0.12),
  libghc-optparse-applicative-dev (<< 0.16),
- libghc-pandoc-dev (>= 2.0.4),
- libghc-pandoc-dev (<< 2.8),
+ libghc-pandoc-dev (>= 2.9),
+ libghc-pandoc-dev (<< 2.10),
+ libghc-pandoc-types-dev (>= 1.20),
+ libghc-pandoc-types-dev (<< 1.21),
  libghc-skylighting-dev (>= 0.1),
  libghc-skylighting-dev (<< 0.9),
  libghc-terminal-size-dev (>= 0.3),
@@ -39,10 +44,10 @@
  libghc-quickcheck2-dev (>= 2.8),
  libghc-quickcheck2-dev (<< 2.14),
  pandoc-data
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/jaspervdj/patat
-Vcs-Git: https://salsa.debian.org/felix-guest/patat.git
-Vcs-Browser: https://salsa.debian.org/felix-guest/patat
+Vcs-Git: https://salsa.debian.org/felix/patat.git
+Vcs-Browser: https://salsa.debian.org/felix/patat
 
 Package: patat
 Architecture: any

## patat 0.8.8.0

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 COMPRESS_BIN=upx
 endif
 
-STACK=stack --system-ghc
+STACK=stack
 
 # Default target.
 .PHONY: build

=== debian/changelog ===
patat (0.8.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.8.0
  * update Build-Depends
  * add libghc-wcwidth-dev to B-D

 -- Félix Sipma <felix@debian.org>  Tue, 01 Nov 2022 10:02:29 +0100

=== debian/control ===
Source: patat
Maintainer: Félix Sipma <felix@debian.org>
Priority: optional
Section: haskell
Build-Depends: debhelper-compat (= 12),
 ghc,
 libghc-aeson-dev (>= 2.0),
 libghc-aeson-dev (<< 2.1),
 libghc-ansi-terminal-dev (>= 0.6),
 libghc-ansi-terminal-dev (<< 0.12),
 libghc-ansi-wl-pprint-dev (>= 0.6),
 libghc-ansi-wl-pprint-dev (<< 0.7),
 libghc-async-dev (>= 2.2),
 libghc-async-dev (<< 2.3),
 libghc-base64-bytestring-dev (>= 1.0),
 libghc-base64-bytestring-dev (<< 1.3),
 libghc-colour-dev (>= 2.3),
 libghc-colour-dev (<< 2.4),
 libghc-mtl-dev (>= 2.2),
 libghc-mtl-dev (<< 2.3),
 libghc-optparse-applicative-dev (>= 0.16),
 libghc-optparse-applicative-dev (<< 0.17),
 libghc-pandoc-dev (>= 2.11),
 libghc-pandoc-dev (<< 2.20),
 libghc-pandoc-types-dev (>= 1.22),
 libghc-pandoc-types-dev (<< 1.23),
 libghc-skylighting-dev (>= 0.10),
 libghc-skylighting-dev (<< 0.14),
 libghc-terminal-size-dev (>= 0.3),
 libghc-terminal-size-dev (<< 0.4),
 libghc-text-dev (>= 1.2),
 libghc-text-dev (<< 1.3),
 libghc-unordered-containers-dev (>= 0.2),
 libghc-unordered-containers-dev (<< 0.3),
 libghc-yaml-dev (>= 0.8),
 libghc-yaml-dev (<< 0.12),
 libghc-wcwidth-dev (>= 0.0),
 libghc-wcwidth-dev (<< 0.1),
 libghc-tasty-dev (>= 1.2),
 libghc-tasty-dev (<< 1.5),
 libghc-tasty-hunit-dev (>= 0.10),
 libghc-tasty-hunit-dev (<< 0.11),
 libghc-tasty-quickcheck-dev (>= 0.10),
 libghc-tasty-quickcheck-dev (<< 0.11),
 libghc-quickcheck2-dev (>= 2.8),
 libghc-quickcheck2-dev (<< 2.15),
 pandoc-data
Standards-Version: 4.5.0
Homepage: https://github.com/jaspervdj/patat
Vcs-Git: https://salsa.debian.org/felix/patat.git
Vcs-Browser: https://salsa.debian.org/felix/patat

Package: patat
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${haskell:Depends}, ${misc:Depends}
Description: Terminal-based presentations using Pandoc
 patat (*P*resentations *A*top *T*he *A*NSI *T*erminal) is a small tool that
 allows you to show presentations using only an ANSI terminal.  It does not
 require `ncurses`.

## patat 0.11.0.0

=== debian/changelog ===
patat (0.11.0.0-1) unstable; urgency=medium

  * New upstream version 0.11.0.0
  * update B-D bounds
  * rebase patches

 -- Félix Sipma <felix@debian.org>  Sun, 25 Feb 2024 20:58:32 +0100

patat (0.10.2.0-1) unstable; urgency=medium

  * New upstream version 0.10.2.0
  * update supported versions of dependencies in B-D
  * patch to allow older version of pandoc

 -- Félix Sipma <felix@debian.org>  Tue, 12 Dec 2023 12:44:02 +0100

=== debian/rules ===
--- 
+++ 
@@ -29,10 +29,8 @@
 	if [ -x Setup ]; then ./Setup clean; fi
 	rm -f Setup Setup.o Setup.hi
 
+# disable tests for now (goldplate not packaged yet)
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	PATH="$(PATH):dist/build/patat/" bash tests/golden.sh
-endif
 
 override_dh_strip:
 	# GHC cannot produce debugging symbols so the -dbgsym package

## patat 0.14.1.0

=== Makefile ===
--- 
+++ 
@@ -19,15 +19,7 @@
 ARCHIVE_EXTRACT=tar xvzf
 endif
 
-ifeq ($(UNAME), darwin)
-# We use `?=` to set SOURCE_DATE_EPOCH only if it is not present.  Unfortunately
-# we can't use `git --date=unix` since only very recent git versions support
-# that, so we need to make a round trip through `date`.
 SOURCE_DATE_EPOCH?=$(shell git log -1 --format=%cd --date=unix)
-else
-SOURCE_DATE_EPOCH?=$(shell date '+%s' \
-                       --date="$(shell git log -1 --format=%cd --date=rfc)")
-endif
 
 ifeq ($(UNAME), darwin)
 COMPRESS_BIN_DEPS=
@@ -36,8 +28,6 @@
 COMPRESS_BIN_DEPS=$(UPX_BINARY)
 COMPRESS_BIN=upx
 endif
-
-STACK=stack
 
 # Default target.
 .PHONY: build
@@ -60,7 +50,7 @@
 	$(ARCHIVE_CREATE) $(PATAT_PACKAGE).$(ARCHIVE) $(PATAT_PACKAGE)
 
 $(PATAT_BINARY):
-	$(STACK) build --copy-bins
+	cabal install --installdir="$(dir $(PATAT_BINARY))"
 
 # UPX is used to compress the resulting binary.  We currently don't use this on
 # Mac OS.
@@ -73,11 +63,11 @@
 
 # Man page.
 extra/patat.1: README.md $(PATAT_BINARY)
-	SOURCE_DATE_EPOCH="$(SOURCE_DATE_EPOCH)" patat-make-man >$@
+	SOURCE_DATE_EPOCH="$(SOURCE_DATE_EPOCH)" cabal exec -- patat-make-man >$@
 
 # Bash completion.
-extra/patat.bash-completion:
-	patat --bash-completion-script patat >$@
+extra/patat.bash-completion: $(PATAT_BINARY)
+	cabal exec -- patat --bash-completion-script patat >$@
 
 .PHONY: completion
 completion: extra/patat.bash-completion
@@ -88,8 +78,7 @@
 # Also check if we can generate the manual.
 .PHONY: test
 test: man
-	$(STACK) install goldplate
-	goldplate --pretty-diff tests
+	cabal test
 
 .PHONY: clean
 clean:

=== debian/changelog ===
patat (0.14.1.0-1) unstable; urgency=medium

  * New upstream version 0.14.1.0
  * remove patches (not needed anymore)
  * update manpage & completion generation rules
  * add patch to prevent building executables with RTS -N, as most of Debian's
    architectures lack SMP support (Closes: #1072778)

 -- Félix Sipma <felix@debian.org>  Mon, 10 Mar 2025 12:58:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Build-Depends: debhelper-compat (= 12),
  ghc,
  libghc-aeson-dev (>= 2.0),
- libghc-aeson-dev (<< 2.1),
+ libghc-aeson-dev (<< 2.3),
  libghc-ansi-terminal-dev (>= 0.6),
- libghc-ansi-terminal-dev (<< 0.12),
+ libghc-ansi-terminal-dev (<< 1.1),
  libghc-ansi-wl-pprint-dev (>= 0.6),
- libghc-ansi-wl-pprint-dev (<< 0.7),
+ libghc-ansi-wl-pprint-dev (<< 1.1),
  libghc-async-dev (>= 2.2),
  libghc-async-dev (<< 2.3),
  libghc-base64-bytestring-dev (>= 1.0),
@@ -17,19 +17,19 @@
  libghc-colour-dev (>= 2.3),
  libghc-colour-dev (<< 2.4),
  libghc-mtl-dev (>= 2.2),
- libghc-mtl-dev (<< 2.3),
+ libghc-mtl-dev (<< 2.4),
  libghc-optparse-applicative-dev (>= 0.16),
- libghc-optparse-applicative-dev (<< 0.17),
- libghc-pandoc-dev (>= 2.11),
- libghc-pandoc-dev (<< 2.20),
- libghc-pandoc-types-dev (>= 1.22),
- libghc-pandoc-types-dev (<< 1.23),
+ libghc-optparse-applicative-dev (<< 0.19),
+ libghc-pandoc-dev (>= 3.0),
+ libghc-pandoc-dev (<< 3.2),
+ libghc-pandoc-types-dev (>= 1.23),
+ libghc-pandoc-types-dev (<< 1.24),
  libghc-skylighting-dev (>= 0.10),
- libghc-skylighting-dev (<< 0.14),
+ libghc-skylighting-dev (<< 0.15),
  libghc-terminal-size-dev (>= 0.3),
  libghc-terminal-size-dev (<< 0.4),
  libghc-text-dev (>= 1.2),
- libghc-text-dev (<< 1.3),
+ libghc-text-dev (<< 2.2),
  libghc-unordered-containers-dev (>= 0.2),
  libghc-unordered-containers-dev (<< 0.3),
  libghc-yaml-dev (>= 0.8),
@@ -37,7 +37,7 @@
  libghc-wcwidth-dev (>= 0.0),
  libghc-wcwidth-dev (<< 0.1),
  libghc-tasty-dev (>= 1.2),
- libghc-tasty-dev (<< 1.5),
+ libghc-tasty-dev (<< 1.6),
  libghc-tasty-hunit-dev (>= 0.10),
  libghc-tasty-hunit-dev (<< 0.11),
  libghc-tasty-quickcheck-dev (>= 0.10),

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,9 @@
 	mkdir -p dist/build/patat
 	ghc extra/make-man.hs -o dist/build/patat/patat-make-man
 	./Setup build
-	PATH="$(PATH):dist/build/patat/" $(MAKE) man
-	PATH="$(PATH):dist/build/patat/" $(MAKE) completion
+	PATH="$(PATH):dist/build/patat/" patat-make-man >extra/patat.1
 	mkdir -p bash-completion/completions
+	PATH="$(PATH):dist/build/patat/" patat --bash-completion-script patat >extra/patat.bash-completion
 	cp extra/patat.bash-completion bash-completion/completions/patat
 
 override_dh_auto_clean:

## patat 0.15.2.0

=== debian/changelog ===
patat (0.15.2.0-1) unstable; urgency=medium

  * New upstream version 0.15.2.0
  * update B-D
  * add patch to update cabal deps (Closes: #1128498)
  * update watch file to version 5
  * update GPL-2 summary text in copyright file

 -- Félix Sipma <felix@debian.org>  Sat, 21 Feb 2026 13:43:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,24 @@
  ghc,
  libghc-aeson-dev (>= 2.0),
  libghc-aeson-dev (<< 2.3),
- libghc-ansi-terminal-dev (>= 0.6),
- libghc-ansi-terminal-dev (<< 1.1),
+ libghc-ansi-terminal-dev (>= 1.1),
+ libghc-ansi-terminal-dev (<< 1.2),
  libghc-ansi-wl-pprint-dev (>= 0.6),
  libghc-ansi-wl-pprint-dev (<< 1.1),
  libghc-async-dev (>= 2.2),
  libghc-async-dev (<< 2.3),
  libghc-base64-bytestring-dev (>= 1.0),
  libghc-base64-bytestring-dev (<< 1.3),
+ libghc-case-insensitive-dev (>= 1.2),
+ libghc-case-insensitive-dev (<< 1.3),
  libghc-colour-dev (>= 2.3),
  libghc-colour-dev (<< 2.4),
  libghc-mtl-dev (>= 2.2),
  libghc-mtl-dev (<< 2.4),
  libghc-optparse-applicative-dev (>= 0.16),
  libghc-optparse-applicative-dev (<< 0.19),
- libghc-pandoc-dev (>= 3.0),
- libghc-pandoc-dev (<< 3.2),
+ libghc-pandoc-dev (>= 3.1),
+ libghc-pandoc-dev (<< 3.8),
  libghc-pandoc-types-dev (>= 1.23),
  libghc-pandoc-types-dev (<< 1.24),
  libghc-skylighting-dev (>= 0.10),
@@ -41,9 +43,9 @@
  libghc-tasty-hunit-dev (>= 0.10),
  libghc-tasty-hunit-dev (<< 0.11),
  libghc-tasty-quickcheck-dev (>= 0.10),
- libghc-tasty-quickcheck-dev (<< 0.11),
+ libghc-tasty-quickcheck-dev (<< 0.12),
  libghc-quickcheck2-dev (>= 2.8),
- libghc-quickcheck2-dev (<< 2.15),
+ libghc-quickcheck2-dev (<< 2.17),
  pandoc-data
 Standards-Version: 4.5.0
 Homepage: https://github.com/jaspervdj/patat

=== debian/watch ===
Version: 5

Template: Github
Dist: https://github.com/jaspervdj/patat
